### Function

# Foundry list_model_set_future

#### Declaration [src]

    void
    foundry_list_model_set_future (
      GListModel* model,
      DexFuture* future
    )

#### Description [src]

Sets the future that can be awaited for completion of populating the list model.

#### Parameters

`model`

  Type: `GObject`

  No description available.

  The data is owned by the caller of the function.

`future`

  Type: `DexFuture`

  A `DexFuture` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.